Bug 102890 - Text Only Printers do NOT work via LPD in RedHat 9
Summary: Text Only Printers do NOT work via LPD in RedHat 9
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: LPRng   
(Show other bugs)
Version: 9
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-08-22 12:37 UTC by Jack Hagin
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-08 13:16:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This is the result of 'printconf-tui --Xexport' (8.42 KB, text/plain)
2003-08-22 14:02 UTC, Jack Hagin
no flags Details

Description Jack Hagin 2003-08-22 12:37:02 UTC
Description of problem:
If you create a "Text-Only" printer under RedHat 9 CUPS or LPRng that used LPD
to printer on another Linux host or TCP/IP terminal, it does NOT print
"text-only" but garbage. It appears to be sending a PostScript page instead of
"plain text only" output.

Version-Release number of selected component (if applicable):


How reproducible:
Create a "Generic Text Only" printer assigned to LPD and try to print ASCII test
page.

Steps to Reproduce:
1.Create Generic Text Only Printer
2.Name it "textonly"
3.Connect it via LPD and Assign it to lp@10.0.0.101
    
Actual results:

It prints garbage instead of the simple RedHat ASCII Test Page

Expected results:
Should print Standard RedHat ASCII Test Page

Additional info:

Comment 1 Tim Waugh 2003-08-22 12:48:38 UTC
Please attach the output of 'printconf-tui --Xexport'.  It sounds like it's got
the 'convert text to PostScript' option set, but I'd like to check.

The tool ought to force this option off if the printer is text-only, but it very
well might not be doing that now.

Comment 2 Jack Hagin 2003-08-22 14:02:54 UTC
Created attachment 93858 [details]
This is the result of 'printconf-tui --Xexport'

Yes, it appears that "convert-test-to-postscript" is set "TRUE"

Comment 3 Tim Waugh 2003-08-28 17:08:02 UTC
So, setting it to false should be a work-around.

Comment 4 Jack Hagin 2003-08-29 02:27:06 UTC
I agree that setting it to "False" should be a work around, BUT where do I go 
to set it to false?

I have looked in the /var/spool/lpd/<printer-directory> and in the mf.cfg file 
it shows these to be "Text-Only" printers. But I can find no where to edit the 
information "convert-text-to-postscript="TRUE" and change it to "FALSE".

Thanks for your help.

Jack Hagin


Comment 5 Tim Waugh 2003-08-29 08:53:34 UTC
In the printer configuration tool: Red Hat menu, System Settings, Printing.


Note You need to log in before you can comment on or make changes to this bug.